Bug 1231637 - Static VDBs doesn't get sequenced
Summary: Static VDBs doesn't get sequenced
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Data Virtualization 6
Classification: JBoss
Component: ModeShape
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
unspecified
urgent
Target Milestone: ER3
: ---
Assignee: Horia Chiorean
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-06-15 06:48 UTC by Filip Nguyen
Modified: 2016-02-10 08:50 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-10 08:50:36 UTC
Type: Bug


Attachments (Terms of Use)
failing VDB (40.53 KB, application/zip)
2015-06-15 06:48 UTC, Filip Nguyen
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Issue Tracker MODE-2477 Major Resolved Static VDBs doesn't get sequenced 2015-08-26 12:21:59 UTC

Description Filip Nguyen 2015-06-15 06:48:42 UTC
Created attachment 1038795 [details]
failing VDB

Sequencing of the attached VDB fails with:

08:48:04,412 ERROR [org.modeshape.jcr.SequencingRunner] (modeshape-sequencer-6-thread-1) The 'teiid-vdb-sequencer' sequencer of repository 'dv' had an error while processing '/files/QT_Vanilla_Hive_Push.vdb/jcr:content/jcr:data' in workspace 'default' and generating output '/derived/teiid/vdbs/QT_Vanilla_Hive_Push.vdb': javax.jcr.nodetype.ConstraintViolationException: The mandatory property named 'vdb:path' defined in type 'vdb:marker' is missing from the node at '/derived/teiid/vdbs/QT_Vanilla_Hive_Push.vdb/Source.xmi/vdb:markers/vdb:marker'

Comment 2 Horia Chiorean 2015-06-17 07:17:15 UTC
I'm curious why this is a test blocker: yes, it's a bug for this particular VDB, but we have lots of tests where other VDBs are parsed just fine.

Comment 3 Filip Nguyen 2015-06-18 08:41:24 UTC
To my knowledge we do not have tests where static VDBs are parsed.

Comment 4 Horia Chiorean 2015-06-18 09:02:09 UTC
Sorry, by "we" I meant ModeShape unit tests that we're using to test the VDB & Model sequencer.

Comment 5 Filip Nguyen 2015-06-18 12:29:55 UTC
That might mean you use older version of VDB with some attributes missing. In that case I think its good idea to develop (and double check docs) test for these new pieces of information that should be sequenced. Reason being its in the test plan for this release.


Note You need to log in before you can comment on or make changes to this bug.